Subject: Re: cygwin and pow()
From: [email-masked] (Wei Ku)

10 Apr 1998 11:29:18 -0700
Message-ID: <[email-masked]>
Reply-To: "Wei Ku" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "GNU-Win32" <[email-masked]>,
        "Axel Riese" <[email-masked]>

Add these two line at the beginning of the file will do the trick.

#include <math.h>
#include <stdio.h>

It is not a good idea to assume that the compiler knows the prototype of the
functions you have in mind even though the function may be built-in.

For some reason, gcc does not complain about it ( a bug ? ). If one tries to
compiles it with g++, the following message clearly shows where the problem
is:

power.c: In function `int main()':
power.c:5: warning: implicit declaration of function `int pow(...)'
power.c:6: warning: implicit declaration of function `int printf(...)'

Wei Ku

-----Original Message-----
From: Axel Riese <[email-masked]>
To: GNU-Win32 <[email-masked]>
Date: Tuesday, April 07, 1998 2:36 PM
Subject: cygwin and pow()

>Dear all !
>
>Could someone please help me with the following problem. I want to compute
>0.5 ^ 0.75, which should give something close to 0.5946...
>
>/*********************************************************************/
>/*                           test.c                                  */
>/*********************************************************************/
>
>int main()
>{
>  double result;
>
>  result = pow(0.5, 0.75);
>  printf("The result is: %f\n", result);
>
>  return 0;
>}
>
>/*********************************************************************/
>
>
>With Cygnus B19.1, I obtain the following:
>
>> test
>The result is: 16416.000000
>
>
>Mingw32 gives:
>
>> test
>The result is: 32.000000
>
>
>Am I doing something wrong ???????????????????
>
>- Axel
>
>===========================================================================
>Axel Riese
>Research Institute for Symbolic Computation
>J. Kepler University Linz
>Altenbergerstrasse 69                           Phone: +43 (0)732 2468 9981
>A-4040 Linz                          e-Mail: [email-masked]
>Austria             URL: http://www.risc.uni-linz.ac.at/people/ariese/home/
>===========================================================================
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".